import { Field } from '@kano/kwc-blockly/blockly.js';
export declare abstract class FieldIcon extends Field {
    private spacing;
    private sizeParams;
    private textHide;
    protected imageElement_: SVGElement | null;
    protected textElement_: SVGTextElement | null;
    constructor(value: string, optValidator?: () => void);
    init(): void;
    render_(): void;
    updateWidth(): void;
    _onMouseDown(e: any): void;
    abstract showEditor_(): void;
    abstract getIcon(value: string): string;
}
